%global momorel 1
%global md5sum_src0 d7f310fdb530cc1259d7b7ca28162747

Summary: p7zip is a port of the Windows programs 7z.exe and 7za.exe
Name: p7zip
Version: 4.51
Release: %{momorel}m%{?dist}
License: LGPL
Group: Applications/Archiving
URL: http://p7zip.sf.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}_%{version}_src_all.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
p7zip is a port of 7za.exe for POSIX systems like Unix (Linux, Solaris,
OpenBSD, FreeBSD, Cygwin, ...), MacOS X and BeOS.
7za.exe is the command line version of 7-zip, see http://www.7-zip.org/.
7-Zip is a file archiver with highest compression ratio.
Since 4.10, p7zip (like 7-zip) supports little-endian and big-endian machines.

%package plugins
Summary: Additional plugins for p7zip
Group: Applications/Archiving
Requires: %{name} = %{version}

%description plugins
Additional plugins that can be used with 7z to extend its abilities.
This package contains also a virtual file system for Midnight Commander.

%prep
%setup -q -n %{name}_%{version}

### Create wrapper scripts, as 7zCon.sfx and Codecs/Formats need to be in the
### same directory as the binaries, and we don't want them in %{_bindir}.
%{__cat} << 'EOF' > 7za.sh
#!/bin/sh
exec %{_libexecdir}/p7zip/7za $@
EOF

%{__cat} << 'EOF' > 7z.sh
#!/bin/sh
exec %{_libexecdir}/p7zip/7z $@
EOF

%build
%ifarch %{ix86} ppc alpha
cp makefile.linux_x86_ppc_alpha makefile.machine
%endif
%ifarch x86_64
cat makefile.linux_amd64 | sed 's/-m32//' > makefile.machine
%endif
perl -p -i -e 's|\-O2|%{optflags}|' makefile.machine

### Use optflags
%{__perl} -pi -e 's|^ALLFLAGS=.*|ALLFLAGS=-Wall %{optflags} -fPIC \\|g' \
    makefile.machine

%{__make} %{?_smp_mflags} 7z 7za sfx
find DOCS -type f | xargs chmod 644

%install 
%{__rm} -rf %{buildroot}

### Install binaries (7za, 7z, 7zCon.sfx and Codecs/Formats)
%{__mkdir_p} %{buildroot}%{_libexecdir}/p7zip/
%{__cp} -a bin/* %{buildroot}%{_libexecdir}/p7zip/

### Install wrapper scripts
%{__install} -D -m0755 7z.sh %{buildroot}%{_bindir}/7z
%{__install} -D -m0755 7za.sh %{buildroot}%{_bindir}/7za

chmod 0755 %{buildroot}%{_bindir}/*

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root, 0755) 
%doc ChangeLog README TODO DOCS/*
%{_bindir}/7za
%dir %{_libexecdir}/p7zip/
%{_libexecdir}/p7zip/7za
%{_libexecdir}/p7zip/7zCon.sfx

%files plugins
%defattr(-, root, root, 0755) 
%doc contrib/
%{_bindir}/7z
%{_libexecdir}/p7zip/7z
%{_libexecdir}/p7zip/7z.so
%{_libexecdir}/p7zip/Codecs/

%changelog
* Sat Jul 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.51-1m)
- update to 4.51

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.47-1m)
- update to 4.47
- remove unused patch

* Sun Feb 11 2007 NARITA Koichi <pulsar@moomnga-linux.org>
- (4.44-1m)
- update to 4.44

* Tue Sep 26 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (4.43-1m)
- update to 4.43

* Sun Jun 18 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.42-1m)
- update to 4.42
- do not apply patch0 because no longer needed

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (4.30-1m)
- update to 4.30
- add gcc-4.1 patch.
-- p7zip-4.30-gcc41.patch

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.29-1m)
- update to 4.29
- separate package import from dag method

* Wed Aug 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.14.01-3m)
- enable 64bit binary for x86_64.

* Thu Mar 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.14.01-2m)
- fix DOCS permissions
- change bin permissions

* Mon Mar 14 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.14.01-1m)
  Imported
